export const recognizeType = (function() {
  let type = {};
  let typeArr = ['String', 'Object', 'Number', 'Array','Undefined', 'Function', 'Null', 'Symbol'];
  for (let i = 0; i < typeArr.length; i++) {
    (function(name) {
      type['Is' + name] = function(obj) {
        return Object.prototype.toString.call(obj) == '[object ' + name + ']';
      }
    })(typeArr[i]);
  }
  return type;
})();
